WordPress.org

Make WordPress Core

Opened 3 years ago

Closed 2 years ago

#44301 closed defect (bug) (duplicate)

Code editor page shouldn't polyfill emoji

Reported by: superpoincare Owned by:
Milestone: Priority: normal
Severity: normal Version: 4.9.6
Component: Emoji Keywords:
Focuses: Cc:

Description

For technical reasons, one could have emoji in themes or plugin files.

However if you open the code in the built in WordPress editor, emoji is polyfilled with images for browsers lacking full emoji support.

There's no issue with this per se, but lines having the character seem difficult to edit as you can't point exactly on one character or select a few in that line in order to edit it.

Change History (1)

#1 @pento
2 years ago

  • Milestone Awaiting Review deleted
  • Resolution set to duplicate
  • Status changed from new to closed

I'm going to close this as a duplicate, since the patch I just uploaded to #46537 will also solve this issue.

Note: See TracTickets for help on using tickets.